num.variables {bnstruct} | R Documentation

## get number of variables of a `BNDataset`.

### Description

Return the number of the variables contained in a dataset. This value corresponds to the value of `num.nodes` of a network built upon the same dataset.

### Usage

    num.variables(x)

    ## S4 method for signature 'BNDataset'
    num.variables(x)

    ## S4 method for signature 'BNDataset'
    num.variables(x)

### Arguments

`x` | a `BNDataset` object.

### Value

number of variables of the desired dataset.

### See Also

`num.nodes`

[Package bnstruct version 1.0.6 Index]